Bug 1465443 - (endroid/qrcode) Review Request: php-endroid-qrcode - Endroid QR Code
Review Request: php-endroid-qrcode - Endroid QR Code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1410963
  Show dependency treegraph
 
Reported: 2017-06-27 08:47 EDT by Remi Collet
Modified: 2017-07-19 01:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 16:55:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-06-27 08:47:47 EDT
Spec URL: https://git.remirepo.net/cgit/rpms/php/endroid/php-endroid-qrcode.git/plain/php-endroid-qrcode.spec?id=c3f3395d61d6bcc8343a9aa95086a6ed63daab2f
SRPM URL: http://rpms.remirepo.net/SRPMS/php-endroid-qrcode-1.9.3-1.remi.src.rpm
Description: 
This library based on QRcode Perl CGI & PHP scripts by Y. Swetake
helps you generate images containing a QR code.

Autoloader: /usr/share/php/Endroid/QrCode/autoload.php



Fedora Account System Username: remi
Comment 1 Remi Collet 2017-06-27 08:49:32 EDT
New dependency of roundcubemail

Despite I have some compatibility stuff in the spec for rhel 6, I don't plan to import this package in EPEL-6 (at least PHP > 5.4 not available).
Comment 2 Remi Collet 2017-06-27 08:50:47 EDT
Version 1.9.3 provided for roundcubemail as composer.json states:

        "endroid/qrcode": "~1.6.5"
Comment 3 Kevin Fenzi 2017-06-30 14:03:11 EDT
I'll go ahead and review this. Look for a full review in a bit...
Comment 4 Kevin Fenzi 2017-06-30 14:26:46 EDT
Minor nitpick: Your changelog has 1.5.1 in it, not 1.9.3. ;) 

I don't see any blockers here, so this package is APPROVED. 

Please fix the version in changelog before building. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 301 files have
     unknown license. Detailed output of licensecheck in
     /home/kevin/1465443-php-endroid-qrcode/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-endroid-qrcode-1.9.3-1.fc27.noarch.rpm
          php-endroid-qrcode-1.9.3-1.fc27.src.rpm
php-endroid-qrcode.noarch: W: spelling-error %description -l en_US Swetake -> Sweepstakes
php-endroid-qrcode.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-endroid-qrcode.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-endroid-qrcode.noarch: W: incoherent-version-in-changelog 1.5.1-1 ['1.9.3-1.fc27', '1.9.3-1']
php-endroid-qrcode.src: W: spelling-error %description -l en_US Swetake -> Sweepstakes
php-endroid-qrcode.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-endroid-qrcode.src: W: spelling-error %description -l en_US usr -> use, us, user
php-endroid-qrcode.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-endroid-qrcode.src:79: W: unversioned-explicit-provides bundled(open-sans-fonts)
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-endroid-qrcode.noarch: W: spelling-error %description -l en_US Swetake -> Sweepstakes
php-endroid-qrcode.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-endroid-qrcode.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-endroid-qrcode.noarch: W: incoherent-version-in-changelog 1.5.1-1 ['1.9.3-1.fc27', '1.9.3-1']
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
php-endroid-qrcode (rpmlib, GLIBC filtered):
    open-sans-fonts
    php(language)
    php-composer(fedora/autoloader)
    php-composer(symfony/options-resolver)
    php-gd
    php-pcre
    php-reflection
    php-spl



Provides
--------
php-endroid-qrcode:
    php-composer(endroid/qrcode)
    php-endroid-qrcode



Source checksums
----------------
https://github.com/endroid/QrCode/archive/c9644bec2a9cc9318e98d1437de3c628dcd1ef93/php-endroid-qrcode-1.9.3-c9644be.tar.gz :
  CHECKSUM(SHA256) this package     : 76ed0c796e9cfd51f12a40c54bd1f5411be396f8d9cd5df2d1d27c4e019ac49b
  CHECKSUM(SHA256) upstream package : 76ed0c796e9cfd51f12a40c54bd1f5411be396f8d9cd5df2d1d27c4e019ac49b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1465443
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Remi Collet 2017-07-02 11:26:26 EDT
Thanks for the review.

> Please fix the version in changelog before building. 

I will


New package requested on pkgdb.
Comment 6 Gwyn Ciesla 2017-07-03 07:17:54 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-endroid-qrcode
Comment 7 Fedora Update System 2017-07-03 07:48:46 EDT
php-endroid-qrcode-1.9.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c528e9237b
Comment 8 Fedora Update System 2017-07-03 14:25:27 EDT
php-endroid-qrcode-1.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f6206666e
Comment 9 Fedora Update System 2017-07-03 22:17:36 EDT
php-endroid-qrcode-1.9.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-81ae215336
Comment 10 Fedora Update System 2017-07-03 23:21:13 EDT
php-endroid-qrcode-1.9.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c528e9237b
Comment 11 Fedora Update System 2017-07-11 16:55:16 EDT
php-endroid-qrcode-1.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-07-11 23:23:35 EDT
php-endroid-qrcode-1.9.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-07-19 01:49:02 EDT
php-endroid-qrcode-1.9.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.